<template>
  <b-modal
    id="modalDeleteFolderContents"
    :model-value="visible"
    size="lg"
    hide-footer
    :title="$t('page.resource.modalDeleteFolderContentsHeader')"
    @hidden="$emit('close')"
    @ok="$emit('delete')"
    @cancel="$emit('close')"
    @shown="$emit('shown')"
  >
    <div>
      {{ $t("page.resource.modalDeleteFolderContentsBody") }}
    </div>
    <br />
    <div
      v-for="(item, index) in shownFiles"
      :key="index"
      class="font-weight-bold"
    >
      {{ item.name }}
    </div>
    <br />
    <b-button class="float-start" autofocus @click="$emit('close')">{{
      $t("buttons.cancel")
    }}</b-button>
    <b-button class="float-end" variant="danger" @click="$emit('delete')">{{
      $t("buttons.delete")
    }}</b-button>
  </b-modal>
</template>

<script lang="ts">
import type { FolderContent } from "@/modules/resource/types";

export default defineComponent({
  props: {
    shownFiles: {
      required: true,
      type: Array as PropType<FolderContent[]>,
    },
    visible: {
      default: false,
      type: Boolean,
    },
  },
});
</script>
